### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface AttributePropertyInterface

All Superinterfaces:
  `AbstractPropertyInterface`, `MetadataInterface`, `PrototypePropertyInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface AttributePropertyInterface extends PrototypePropertyInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDefaultValue()`
  Get the property default value.
  `String`
  `getPropertyName()`
  Get the PropertyName attribute.
  `String`
  `getPropertyRole()`
  Get the property role.
  `int`
  `getSQLType()`
  Get the SQLType from the PropertyType.
  `void`
  `setDefaultValue(String value)`
  Set the property default value.
  `void`
  `setPropertyName(String name)`
  Set the PropertyName attribute.
  `void`
  `setPropertyRole(String role)`
  Set the property role.
  `void`
  `setSQLType(int type)`
  Set the SQLType on the PropertyType.

  ### Methods inherited from interface com.sas.services.information.metadata.AbstractPropertyInterface

  `addCustomizer, addEditor, addValidator, getAssociatedPropertyGroup, getCustomizers, getEditors, getIsExpert, getIsLinked, getIsRequired, getIsUpdateable, getIsVisible, getStoredConfiguration, getValidators, removeCustomizer, removeEditor, removeValidator, setAssociatedPropertyGroup, setIsExpert, setIsLinked, setIsRequired, setIsUpdateable, setIsVisible, setStoredConfiguration`

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.metadata.PrototypePropertyInterface

  `getOwningPrototype, setOwningPrototype`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getPropertyRole

    String getPropertyRole() throws ServiceException, RemoteException
    Get the property role.
    Returns:
      The String containing the property role.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setPropertyRole

    void setPropertyRole(String role) throws ServiceException, RemoteException
    Set the property role.
    Parameters:
      `role` - The string with the property role.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getPropertyName

    String getPropertyName() throws ServiceException, RemoteException
    Get the PropertyName attribute.
    Returns:
      The property name.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setPropertyName

    void setPropertyName(String name) throws ServiceException, RemoteException
    Set the PropertyName attribute.
    Parameters:
      `name` - The propertyname.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getDefaultValue

    String getDefaultValue() throws ServiceException, RemoteException
    Get the property default value.
    Returns:
      The property default value.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setDefaultValue

    void setDefaultValue(String value) throws ServiceException, RemoteException
    Set the property default value.
    Parameters:
      `value` - The default value.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### getSQLType

    int getSQLType() throws ServiceException, RemoteException
    Get the SQLType from the PropertyType.
    Returns:
      The SQLtype of the property.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.

  - ### setSQLType

    void setSQLType(int type) throws ServiceException, RemoteException
    Set the SQLType on the PropertyType. If the property type is shared, or non-existent, a new PropertyType may be created, or an existing one used.
    Parameters:
      `type` - The SQLType to set on the associated PropertyType.
    Throws:
      `ServiceException` - If a repository error occurs.
      `RemoteException` - In the event of remote object failure.